Fix iOS uniques in mobile_apps_uniques_daily after 5.0 launch
Closed, ResolvedPublic

Description

The iOS app's daily active users suddenly dropped last week. Either the new version is very unpopular... or something went wrong with the counting logic ;)

@Mhurd is going to look into this next week to see if it's something the iOS team can fix.

mobile_apps_uniques_monthly might be affected as well.

Data source for the above:

SELECT CONCAT(year,"-",LPAD(month,2,"0"),"-",LPAD(day,2,"0")) as date, unique_count AS iOS_DAU FROM wmf.mobile_apps_uniques_daily WHERE platform = 'iOS';
Tbayer created this task.Mar 18 2016, 11:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2016, 11:41 PM
Milimetric moved this task from Incoming to Radar on the Analytics board.Mar 21 2016, 4:09 PM

Hi @Tbayer, the app now sends unique device ids only when users opt in to send their data - so it makes sense that this data will drop depending on the opt in rate. I think it would help to check if the opt in rate correlates with the drop, and then check if the app upgrade has changed anything in the code that sends the device id along with the X-Analytics header. On the analytics side, nothing has changed.

Thanks Madhu, that sounds plausible; I'll let the iOS team confirm (Monte and I were looking at this very briefly on Friday, but that explanation had not occurred to us yet).

Josh and I had talked a bit earlier about the effects of the switch to opt-in, but mainly focusing on the app's EL instrumentations. It wasn't quite on our radar (at least not on mine) that this would also ruin redefine this metric. CCing @Wwes FYI because it is one of the core metrics Product is reporting for Reading.

If we need to replace it, that's probably going to be a wider discussion that should also take into account the new efforts regarding unique device numbers on the one hand and Piwik on the other.

Yes, this was mention by @madhuvishy and @dr0ptp4kt prior to launch, however I had no way of predicting what opt in rates would be and how that would effect our numbers. I will pull some data on current opt in rates and then we can decide where to apply a fix/change or, as @Tbayer says perhaps align this with uniques counting across the org.

We should not use piwik for definitively reported user numbers.

As mentioned in another thread earlier today, the current opt-in rate given by Apple (for installs from the last 30 days) is 28%. This rolling 30 day rate has been between 26% and 28% for the last three months.

However, that's a somewhat separate question, because knowing the opt-in rate does not allow us to extrapolate the opted-in active users to the previously counted overall active users (obviously someone who chose to opt in might be a more engaged and active reader in the first place, etc).

JMinor triaged this task as High priority.Mar 23 2016, 10:56 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.

Yes, I'm not sure what we can do here, besides make a bunch of guesses. We can move to an "opt-out" in the next major update, as long as its upfronted to the user during install. This may recover this number a bit, but I don't think this is a technical issue.

JMinor removed JMinor as the assignee of this task.
JMinor closed this task as Resolved.May 9 2016, 7:09 PM
JMinor claimed this task.